package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.MethodType;
import jp.sourceforge.shovel.SearchFriendsType;

public interface IFriendsForm {
    int getCount();
    void setCount(int count);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    String getFriends();
    boolean isFollowers();
    void setFriends(String friends);
    String getKeyword();
    void setKeyword(String keyword);
    String getMethod();
    void setMethod(String method);
    MethodType getMethodType();
    void setMethodType(MethodType methodType);
    int getPage();
    void setPage(int page);
    boolean isPartial();
    void setPartial(boolean partial);
    SearchFriendsType getSearchFriendsType();
    void setSearchFriendsType(SearchFriendsType searchFriendsType);
    int getType();
    void setType(int type);
    long getUserId();
    void setUserId(long userId);
}
